package threadex;

public class MainTester {
	
	private int sleepCounter;
	public int maxSleep;

	public static void main(String[] args) {
		
		new MainTester(250);
	}
	
	public MainTester(int n){
		
		Thread t[] = new Thread[n];
		
		for(int i=0; i<t.length; i++)
			t[i] = new MioThread(1+i, this);
		
		for(int i=0; i<t.length; i++)
			t[i].start();
		
		for(int i=0; i<t.length; i++)
			try {
				t[i].join();
			} catch (InterruptedException e) {
				
				e.printStackTrace();
			}
		
		System.out.println("Quanti hanno dormito = " + sleepCounter);
		
		if(sleepCounter == n)
			System.out.println("Sembra sia andato tutto bene");
		else System.out.println("Qualcosa non va bene");
		
		System.out.println("Durata massima di Thread.sleep = " + maxSleep);
		
	}
	
	public synchronized void incCounter(){
		sleepCounter++;
	}

}