package threadex;

import java.util.Random;

public class MioThread extends Thread{
	
	private Random rnd;
	private MainTester mt;
	private int id;
	
	public MioThread(int id, MainTester mt){
		this.mt = mt;
		rnd = new Random(id);
		this.id = id;
	}
	
	@Override
	public void run(){
		
		int numCasuale = 100 + rnd.nextInt(51);
		
		System.out.println("Thread con id " + id + " dorme per " + numCasuale + " ms");
		
		try {
			
			Thread.sleep(numCasuale);
			
		} catch (InterruptedException e) {
			
			e.printStackTrace();
		}
		
		mt.incCounter();
		
		synchronized(mt){
			if(mt.maxSleep<numCasuale)
				mt.maxSleep = numCasuale;
		}
		
		
		
	}

}